Subject: bug#34080: 27.0.50, 26.1; undocumented key bindings for *vc-diff*

From: Sean Whitton <[email-masked]>
Date: Thu, 10 Jul 2025 18:59:19 +0100

Hello,

On Wed 09 Jul 2025 at 05:47pm -04, Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

>> - that diff-mode-shared-map is the parent of diff-minor-mode-map, not
>>   diff-mode-map, d'oh
>> - that diff-minor-mode is the mechanism by which the keys are made
>>   available when the buffer is read only.
>>
>> What do you think about replacing activating a minor mode with just
>> switching the major mode map?
>
> Fine by me.
>
>> So far as I can tell the disadvantage would be repeating keymap
>> definitions, and the advantage would be more standardised
>> *Help* output.
>
> We definitely do not want to repeat keymap definitions (users may have
> their own and may want to change the ones we provide).
>
> But you can do things like
>
>     (use-local-map (make-composed-map diff-mode-shared-map diff-mode-map))

I don't think getting users to repeat their configuration for a few
different maps is too bad but certainly if it can be done with composed
maps then that's better.  I'll investigate, thanks!

-- 
Sean Whitton